/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: DISTCD.DCL  File contenenti le dialog per il comando DISTCD             //
//                                                                                //
//  Scritto da:  Stefania Martinelli                                              //
//                                                                                //
//  RELEASE: 3.00     DATA: febbraio 1998                                         //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1998                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ------------------------ DistCDDlg ------------------------------------*/
DistCDDlg : dialog
            {
             label = "Distance Between two Points";
             : row
               {
                : boxed_column
                  {
                   label = "First point"; 
                   : row
                     {
                      : text
                        {
                         label = "X"; width = 2;
                        }
                      : text
                        {
                         key = "x1"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Y"; width = 2;
                        }
                      : text
                        {
                         key = "y1"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Z"; width = 2;
                        }
                      : text
                        {
                         key = "z1"; width = 15;
                        }
                     } /* row */
                   } /* boxed_column */
                : boxed_column
                  {
                   label = "Second point"; 
                   : row
                     {
                      : text
                        {
                         label = "X"; width = 2;
                        }
                      : text
                        {
                         key = "x2"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Y"; width = 2;
                        }
                      : text
                        {
                         key = "y2"; width = 15;
                        }
                     } /* row */
                   : row
                     {
                      : text
                        {
                         label = "Z"; width = 2;
                        }
                      : text
                        {
                         key = "z2"; width = 15;
                        }
                     } /* row */
                  } /* boxed_column */
               } /* row */
             : row
               {
                : text
                  {
                   label = "3D distance"; width = 22;
                  }
                : text
                  {
                   key = "dist3d"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "2D distance"; width = 22;
                  }
                : text
                  {
                   key = "dist2d"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Angle on XY plane"; width = 22;
                  }
                : text
                  {
                   key = "pianoxy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Angle from XY plane"; width = 22;
                  }
                : text
                  {
                   key = "dalpianoxy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Delta X"; width = 22;
                  }
                : text
                  {
                   key = "dx"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Delta Y"; width = 22;
                  }
                : text
                  {
                   key = "dy"; width = 15;
                  }
               } /* row */
             : row
               {
                : text
                  {
                   label = "Delta Z"; width = 22;
                  }
                : text
                  {
                   key = "dz"; width = 15;
                  }
               } /* row */
//slope			   
			   : row
               {
                : text
                  {
                   label = "Slope"; width = 22;
                  }
                : text
                  {
                   key = "pend"; width = 15;
                  }
               } // row
			   : row
               {
                : text
                  {
                   label = "Slope %"; width = 22;
                  }
                : text
                  {
                   key = "pend_percent"; width = 15;
                  }
               } // row			   
             ok_only;
            } /* end dialog */

